Ubuntu

My HP PSC 1210 (printer) doesn't work in gutsy (autodetection work ...)

Reported by Fabien Lusseau on 2007-08-15
This bug report is a duplicate of:  Bug #132670: [gutsy]hplip toolbox doesn't start. Edit Remove
8
Affects Status Importance Assigned to Milestone
foomatic-db-hpijs
Invalid
Undecided
Unassigned
hplip (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: hplip

Autodetection work but when I print ...

nothing

In the statut window it is writed : 'stoped'

in the syslog i have:

Aug 15 22:26:29 fabien-laptop python: [32647]: error: HPMUDEXT could not be loaded. Please check HPLIP installation.

This is the same in ubuntu 32 and 64 bits ...

after installation of the feisty's foomatic-db-hpijs it re work ...

Till Kamppeter (till-kamppeter) wrote :

You simply installed Feisty's and after that you did not do anything more? In this case the switch to the old foomatic-db-hpijs has no influence on whether your printer works. It is simply a coincidence.

Especially there are also no changes at all for this printer in foomatic-db-hpijs from Feisty and foomatic-db-hpijs from Gutsy.

Moving back to HPLIP.

Changed in foomatic-db-hpijs:
status: New → Invalid
Till Kamppeter (till-kamppeter) wrote :

Raghu, Do, Aaron, what does this mean:

error: HPMUDEXT could not be loaded. Please check HPLIP installation.

Can you check and if needed fix this in HPLIP?

I have tested without the update of cups hplip and all other,

And it work perfectly ...

After upgrading gutsy to the last updates ... nothing works ...

and yes when i have downgraded foomatic-db-hpijs, before i have downgraded cups but downgrading cups only do nothing ...

That means the hpmud Python C extension (hpmudext.so) that should be
installed in /usr/lib/pythonx.x/site-packages is not installed properly
(failed to build, not installed in Python path, etc).

On 8/16/07, Till Kamppeter <email address hidden> wrote:
>
> Raghu, Do, Aaron, what does this mean:
>
> error: HPMUDEXT could not be loaded. Please check HPLIP installation.
>
> Can you check and if needed fix this in HPLIP?
>
> --
> My HP PSC 1210 (printer) doesn't work in gutsy (autodetection work ...)
> https://bugs.launchpad.net/bugs/132781
> You received this bug notification because you are a direct subscriber
> of the bug.
>

In a Terminal, I have tested to use hpijs, and this message appear:

fabien@fabien-laptop:~$ hpijs
hpijs: error while loading shared libraries: libhpip.so.0: cannot open shared object file: No such file or directory

Lack of dependencies, or errors when making the package hplip ?

Till Kamppeter (till-kamppeter) wrote :

At first delete the old init scripts with "sudo rm /etc/init.d/hplip /etc/rc?.d/*hplip". Then reboot to make sure that there is no influence of any old installation.

If printing still does not work, try

sudo chmod +x /usr/lib/python-support/hplip/python2.5/*.so

Does it work now?

Till Kamppeter (till-kamppeter) wrote :

Can you post your /etc/hp/hplip.conf here?

Changed in hplip:
status: New → Incomplete

It doesn't work ...

This is my hplip.conf:

# hplip.conf. Generated from hplip.conf.in by configure.

[hpssd]
# Note: hpssd does not support dynamic ports
# Port 2207 is the IANA assigned port for hpssd
port=2207

[hplip]
version=2.7.7

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-doc/HTML
icon=no
cupsbackend=/usr/lib/cups/backend
foomatic=/usr/share/foomatic

# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
pp-build=yes
gui-build=yes
scanner-build=yes
fax-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
foomatic-xml-install=no
foomatic-ppd-install=no
internal-tag=2.7.7.27

Can you kill all instances of hpssd by doing

ps auxwww | grep hpssd | grep -v grep

and killing all listed processes using

sudo kill -9 <process ID>

The process ID is the first number (usually 3-5 digits) in each output line.

Then do

strace python /usr/share/hplip/hpssd.py > hpssd-strace.log 2>&1

and try to print (or start the hp-toolbox).

As soon as you get any failure attach the file hpssd-strace.log

For me the installation process of hplip ("sudo apt-get install hplip") creates the following link:

---------------------------------------
till@till-laptop:~/ubuntu/cupsys$ ls -l /var/lib/python-support/python2.5/hpmudext.so
lrwxrwxrwx 1 root root 51 2007-08-17 15:02 /var/lib/python-support/python2.5/hpmudext.so -> /usr/lib/python-support/hplip/python2.5/hpmudext.so
till@till-laptop:~/ubuntu/cupsys$
---------------------------------------

Do you also get such a link?

ps auxwww | grep hpssd | grep -v grep show me nothing, and i have attached the log.

And yes i have this link.

But i saw that:

if I use hpijs in a terminal, I have this:

fabien@fabien-laptop:~$ hpijs
hpijs: error while loading shared libraries: libhpip.so.0: cannot open shared object file: No such file or directory

A dependencies error ?

Tank you for the log. Found the problem. There are libraries missing in the package, same as bug 132670.

Changed in hplip:
status: Incomplete → In Progress
Changed in hplip:
status: In Progress → Fix Committed

hplip (2.7.7-0ubuntu4) gutsy; urgency=low

  * debian/hplip.install: Added missing line "usr/lib/lib*.so.*" (LP: #132670,
    LP: #132781)
  * debian/hplip.preinst: Remove init scripts of former 1.x HPLIP versions
  * debian/hplip.default: Removed, as we do not have permanently running
    daemons any more.
  * debian/hplip.rtupdate, debian/rules, debian/hplip.install: Removed update
    helper, as we do not have permanently running daemons any more.

 -- Till Kamppeter <email address hidden> Fri, 17 Aug 2007 15:40:55 +0100

Changed in hplip:
status: Fix Committed → Fix Released
Cláudio Silva (gphoenixpower) wrote :

It happened to me too, psc 1210 detected, but couldn't be opened. So i went to hplip's homepage and downloaded the latest version. While installing, this came up:

INSTALL MISSING REQUIRED DEPENDENCIES
-------------------------------------
warning: There are 3 missing REQUIRED dependencies.
note: Installation of dependencies requires an active internet connection.
warning: Missing REQUIRED dependency: python-devel (python-devel - Python development files)
warning: Missing REQUIRED dependency: libusb (libusb - USB library)
warning: Missing REQUIRED dependency: libtool (libtool - Library building support services)

INSTALL MISSING OPTIONAL DEPENDENCIES
-------------------------------------
warning: There are 5 missing OPTIONAL dependencies.
note: Installation of dependencies requires an active internet connection.
warning: Missing REQUIRED dependency for option 'network': libcrypto (libcrypto - OpenSSL cryptographic library)
warning: Missing REQUIRED dependency for option 'network': libnetsnmp-devel (libnetsnmp-devel - SNMP networking library development files)
warning: Missing OPTIONAL dependency for option 'fax': reportlab (Reportlab - PDF library for Python)
warning: Missing REQUIRED dependency for option 'scan': sane-devel (SANE - Scanning library development files)
warning: Missing OPTIONAL dependency for option 'scan': scanimage (scanimage - Shell scanning program)

So, regarding the libusb, there are 2 possibilities: or it's in a non-usual place or it wasn't installed....

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers